Wayland Library Init and Shutdown Functions
Ecore » Ecore_Wl2 - Wayland integration

Functions that start and shutdown the Ecore Wl2 Library. More...

## Functions

EAPI int | ecore_wl2_init (void)
| Initialize the Ecore_Wl2 library.
EAPI int | ecore_wl2_shutdown (void)
| Shutdown the Ecore_Wl2 Library.

## Detailed Description

Functions that start and shutdown the Ecore Wl2 Library.

## Function Documentation

## ecore_wl2_init()

EAPI int ecore_wl2_init | ( | void |  | ) |

Initialize the Ecore_Wl2 library.

Returns
  The number of times the library has been initialized without being shutdown. 0 is returned if an error occurs.

Since
  1.17

References ecore_event_init(), ecore_event_shutdown(), ecore_event_type_new(), ecore_init(), ecore_shutdown(), eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, eina_shutdown(), and ERR.

## ecore_wl2_shutdown()

EAPI int ecore_wl2_shutdown | ( | void |  | ) |

Shutdown the Ecore_Wl2 Library.

Returns
  The number of times the library has been initialized without being shutdown.

Since
  1.17

References ecore_event_shutdown(), ecore_event_type_flush, ecore_shutdown(), eina_log_domain_unregister(), EINA_LOG_ERR, and eina_shutdown().